Skip to main content

Get Bot Rule Detail

Retrieve detailed information about a specific Bot Rule by its ID.

Request

Request-Line

GET /waap/v1.0/botRules/{ruleId} HTTP/1.1

Request Parameters

Path Parameters

ParameterTypeRequiredDescription
ruleIdIntegerMandatoryUnique identifier assigned to the bot rule.

Response

Response Body

ParameterTypeDescription
ruleIdIntegerUnique identifier assigned to the bot rule.
nameStringThe name for the bot rule. The name must have 1-26 characters. Valid characters: 0-9, A-Z, a-z, space, . (dot), _ (underline), - (hyphen), () (parentheses), * (asterisk) and + (plus sign).
descriptionStringThe description can have 1-200 characters.
silenceChallengeEnabledBooleanIndicates whether the silence challenge is enabled.
silenceChallengeActionStringSpecifies the action when a silence challenge is triggered. Valid values are "block" or "captcha".
ajaxEnabledBooleanIndicates whether AJAX behaviour detection is enabled.
antiDebuggingEnabledBooleanIndicates whether anti-debugging behaviour detection is enabled.
websitesInteger[]List of website IDs the rule applies to. Must contain at least one valid ID.

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400RuleId.InvalidRuleId is empty or invalid.
404BotManagementRule.NotFoundBot Management Rule is not found.

Examples

Get Bot Rule Detail

Request

GET /waap/v1.0/botRules/40 HTTP/1.1

Successful Response Body

{
"ruleId": 40,
"name": "test111",
"description": "111",
"silenceChallengeEnabled": true,
"silenceChallengeAction": "captcha",
"ajaxEnabled": true,
"antiDebuggingEnabled": true,
"websites": [
392
]
}